$fColor: #61686b; 
@font-face {
    font-family: normal;
    src: url(../fonts/caps.ttf);
}

@font-face {
    font-family: caps;
    src: url(../fonts/normal-bold.ttf);
}


*{
    margin: 0;
    padding: 0;
    text-decoration: none;
    list-style: none;
    color: $fColor;
    font-family: normal;
    box-sizing: border-box;
}
body{
    width: 560px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    margin: 0 auto;
    background-color: #313a3d;
    background-attachment: fixed, fixed;
    background-image:url(../../images/bg2.jpg);
    background-position: top left, center center;
    
    background-size: 100vw, 100vh;
    
}
h2{
    font-size: 25px;
    line-height: 1.5em;
    margin-top: 40px;
    font-family: caps;
}

p{
    font-size: 18px;
    margin-bottom: 32px;
    
}

header{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: calc(100vh - 120px);
    position: sticky;
    top: 5px;
    z-index: -1;
    h1{
        font-size: 50px;
        line-height: 1.25em;
        color: white;
        font-family: caps;
    }
    p{
        color: white;
    }
    hr{
        height: 2px;
        width: 200px;
        margin: 30px 0;
        background-color: white;
        border: none;
    }
}
.begin{
    padding: 16px 65px;
    margin: 40px 0;
    background-color: #8cd1a8;
    color: white;
    box-shadow: none;
    border: none;
    font-size: 16px;
    
    text-align: center;
}
.begin:hover, .send:hover{
    background-color: #3bbb6e;
}
.main_content{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-color: white;
    margin-bottom: 130px;
    padding: 0 40px;
    width: 100%;
}
.content_block{
    padding: 50px 0;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 100%;
}
.content{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 50px 0 50px 0;
   
}


li{
    border-bottom: 1px solid #ddd;
    text-align: center;
    width: 100%;
}

.hr{
    width: 112px;
    height: 3px;
    background-color: #ddd;
    margin: 21px 0 28px 0;
    border: none;
}
.border_hr{
    width: 100%;
    height: 1px;
    background-color: #ddd;
    border: none;
}
.scrollDown{
    margin: 110px 0 0 0;
    .scroll{
        font-size: 50px;
        background-color: rgba(144, 144, 144, 0.15);
        padding: 10px;
        border-radius: 50%;
      
    }
}
.scroll:hover{
    background-color: rgba(144, 144, 144, 0.3);
}

// ----------------STUF I DO----------------

.stuffIDo{
    p{
        margin-bottom: 50px;
    }
}

.icons_container{
    display: flex;
    flex-wrap: wrap;
    width: 480px;
    justify-content: center;
    align-items: center;
    i{
        font-size: 60px;
        margin-bottom: 20px;
    }
}
.icons{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 220px;
    height: 200px;
    padding: 40px 0;
    
    position: relative;
    perspective: 1000px;
    p{
        font-size: 20px;
    }
}
.front, .back{
    transition: 2s;
    position:absolute;
}
.back{
    display: flex;
    justify-content: space-around;
    flex-direction: column;
    align-items: center;
  backface-visibility: hidden;
  transform: rotateY(180deg);
  background-color:#E8F5E9;
  width: 100%;
  height: 100%;
  background-image: url(../../images/card_bg2.jpg);
}
.backlink{
    padding: 5px;
    border: 1px solid grey;
    border-radius: 5px;
    text-transform: uppercase;
}

.icons:hover .front{
    transform: rotateY(180deg);
    backface-visibility: hidden;
}
.icons:hover .back{
    transform: rotateY(360deg);
}

.one{
    border-right: 2px solid #ddd;
    border-bottom: 2px solid #ddd;
    
}
.two{
    border-bottom: 2px solid #ddd;
}
.tree{
    border-right: 2px solid #ddd;
}

// -----------GET IN TOUCH------------

form{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    
}
input{
    width: 48%;
    background-color: rgba(144, 144, 144, 0.15);
    margin-bottom: 40px;
    border: none;
    padding: 20px 0 20px 20px;
    font-family: caps;
}
textarea{
    width: 100%;
    height: 200px;
    padding: 20px 0 20px 20px;
    background-color: rgba(144, 144, 144, 0.15);
    border: none;
    margin-bottom: 40px;
}
.send{
    cursor: pointer;
    display: block;
    font-weight: 700;
    letter-spacing: 0.05em;
    line-height: 3.15em;
    padding: 5px 30px;
    text-align: center;
    text-transform: uppercase;
    background-color: #8cd1a8;
    color: #fff;
    margin: 0 auto;
    font-size: 18px;
    font-family: normal;
}

// ---------------FOOTER----------------

footer{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}
.footer_social{
    width: 30%;
    display: flex;
    justify-content: space-between;
    margin-bottom: 70px;
}

.social-svg{
    width: 30px;
    fill: rgb(241, 236, 236);
}
.social-svg:hover{
    fill: rgb(130, 226, 66);
}
.copyright{
    color: rgb(20, 19, 19);
}

.copyright:hover{
    color: white;
}
.head_p, .footer_p{
    
    color: rgb(20, 19, 19);
    font-weight: 600;
}
@media (max-width: 560px){
    
    body{
        width: 100%;
        
    }
    .main_content{
        padding: 0;
    }
    ul{
        width: 95%;
    }
    li{
        border-bottom: none;
        width: 100%;
    }
    header h1{
        font-size: 9vw;
    }
    h2{
        font-size: 7vw
    }
    p{
        font-size: 5vw;
    }
    
    
    .send{
        font-size: 12px;
        padding: 5px;
        width: 130px;
    }
    .icons_container{
        display: flex;
        flex-direction: column;
        width: 100%;
        .icons{
            border: none;
            border-bottom: 2px solid #ddd
        }
    }
    .getInTouch{
        form{
        display: flex;
        flex-direction: column;
        width: 90%;
        input{
            width: 100%;
            margin-bottom: 20px;
        }
        textarea{
            width: 100%;
        }
        }
    }
    .head_p, .footer_p{
        font-size: 3vw;
        text-align: center;
    }
}
@media (min-width: 1350px){
    header{
        height: calc(100vh - 170px);
    }
    header h1{
        font-size: 70px;
    }
    body{
        width: 50%;
    }
    h2{
        font-size: 35px;
    }
    p{
        font-size: 25px;
    }
    .icons_container i{
        font-size: 70px;
    }
    .begin {
        padding: 22px 80px;
        font-size: 26px;
        margin: 50px 0;
    }
}
@media (min-width: 1920px){
    body{
        width: 50%;
    }
    header{
        height: calc(100vh - 200px);
        h1{
            font-size: 90px;
        }
    }
    
    h2{
        font-size: 2.5em;
        
    }
    
    p{
        font-size: 30px;
       
    }
    .hr {
        width: 170px;
        height: 4px;
    }
    
    .scrollDown .scroll {
        font-size: 85px;
    }
    input {
        width: 45%;
        font-size: 20px;
    }
    textarea{
        font-size: 20px;
    }
    .send{
        font-size: 23px;
        margin-bottom: 40px;
    }
    
    .icons_container{
        width: 700px;
        i{
            font-size: 80px;
        }
    }
    .icons{
        width: 340px;
        p{
            font-size: 25px;
        }
        }
}